Subject: Actually, this discussion is moot

From: David Kastrup <[email-masked]>
Date: Sat, 27 Jul 2013 23:19:53 +0200

Object properties are implemented via key-weak hash tables and those
only support eq? as hash equality in a reliable way.

I actually can't determine how key-weak hash tables would deal with
immediate Scheme values: will they never get released, or will they get
released immediately?

>From reading the documentation, I'd lean towards guessing the latter (as
for immediate Scheme values, there _never_ is a remaining reference).
That would likely make for some surprises to people, while the other
option would be good for memory leaks.

Either way, numbers seem like a bad idea for use in key-weak hash
tables.

-- 
David Kastrup